Bug 1194590 - RpmOstree - Server side composes and atomic upgrades
Summary: RpmOstree - Server side composes and atomic upgrades
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords:
Depends On: 1195761
Blocks: 1194589
TreeView+ depends on / blocked
 
Reported: 2015-02-20 09:48 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
== Atomic Upgrade and Rollback via RPM-OSTree == Fedora 22 includes RPM-OSTree, a mechanism used on Fedora Atomic installations to perform atomic upgrades and rollbacks for the entire system (kernel as well as userspace). Instead of performing a package-by-package installation and upgrade on each client machine, the tooling supports composing" sets of packages on a server side. Clients can then perform atomic upgrades as a tree. On systems using RPM-OSTree, standard package managers (DNF and YUM) do not work; they can only be used in read-only mode. [IMPORTANT] The version of RPM-OSTree available in the default 'updates' repository and on installation media will not work due to a known issue. To use this tool, enable the 'updates-testing' DNF repository and update the rpm-ostree package. [/IMPORTANT] For additional information about this tool and Fedora Atomic, see the Fedora Project Wiki. (https://fedoraproject.org//wiki/Changes/RpmOstree)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-20 09:48:32 UTC
This is a tracking bug for Change: RpmOstree - Server side composes and atomic upgrades
For more details, see: https://fedoraproject.org//wiki/Changes/RpmOstree

The rpm-ostree tool provides a new way to deploy and manage RPM-based operating systems.  Instead of performing a package-by-package install and upgrade on each client machine, the tooling supports "composing" sets of packages on a server side, and then clients can perform atomic upgrades as a tree.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:42 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Colin Walters 2015-02-24 14:22:08 UTC
This change is definitely testable, though we have a major update to the stack I would like to land in Fedora 22 soon.

Comment 3 Jaroslav Reznik 2015-03-24 11:41:40 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 4 Petr Bokoc 2015-04-09 13:02:40 UTC
Hello Colin, I see this change is still on MODIFIED. We'd like to include it in the Fedora 22 Beta Release Notes, but I'm not sure about the current status; can you give me an update? Is OSTree in F22 Beta in a working state  - or is there something major missing that would prevent people from using it?

Thanks!

Comment 5 Colin Walters 2015-04-09 13:10:11 UTC
It probably doesn't work in Beta, but this update will fix it:

https://admin.fedoraproject.org/updates/rpm-ostree-2015.3-7.fc22

So I guess just document that the feature is expected to work, but you may need to enable updates testing?

Comment 6 Petr Bokoc 2015-04-09 13:27:56 UTC
Thanks for the info.

I wrote a draft for the Beta notes; please take a look at the Doc Text field and let me know if this is sufficient, or if you'd like to add or change anything. When F22 gets released, we'll remove the [IMPORTANT] block as it shouldn't be necessary by then.

Comment 7 Colin Walters 2015-04-09 14:33:49 UTC
Docs text looks excellent, thanks!


Note You need to log in before you can comment on or make changes to this bug.